Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(19)

Issue 2828323004: [heap] Refactor MC and introduce MarkCompactCollectorBase (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
4 months ago by Michael Lippautz
Modified:
4 months ago
CC:
v8-reviews_googlegroups.com, Hannes Payer (out of office), ulan
Target Ref:
refs/heads/master
Project:
v8
Visibility:
Public.

Description

[heap] Refactor MC and introduce MarkCompactCollectorBase - Dispatch evacuation of a page to its concrete evacuator. - Create MC base class to accommodate shared state. BUG=chromium:651354 Review-Url: https://codereview.chromium.org/2828323004 Cr-Commit-Position: refs/heads/master@{#44807} Committed: https://chromium.googlesource.com/v8/v8/+/2c9fc184743dac8627b78a5990522525f35a0007

Patch Set 1 #

Total comments: 4

Patch Set 2 : Address comment #

Patch Set 3 : More cleanup #

Patch Set 4 : More refactoring #

Unified diffs Side-by-side diffs Delta from patch set Stats (+174 lines, -192 lines) Patch
M src/heap/heap.h View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M src/heap/heap.cc View 1 2 1 chunk +18 lines, -0 lines 0 comments Download
M src/heap/mark-compact.h View 1 2 3 11 chunks +43 lines, -69 lines 0 comments Download
M src/heap/mark-compact.cc View 1 2 3 6 chunks +111 lines, -123 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 27 (21 generated)
Michael Lippautz
pure refactoring, ptal
4 months ago (2017-04-21 11:42:57 UTC) #2
Hannes Payer (out of office)
https://codereview.chromium.org/2828323004/diff/1/src/heap/mark-compact.cc File src/heap/mark-compact.cc (right): https://codereview.chromium.org/2828323004/diff/1/src/heap/mark-compact.cc#newcode3235 src/heap/mark-compact.cc:3235: bool EvacuatePageImpl(Page* page, const MarkingState& state) override; I do ...
4 months ago (2017-04-21 13:09:15 UTC) #11
Michael Lippautz
https://codereview.chromium.org/2828323004/diff/1/src/heap/mark-compact.cc File src/heap/mark-compact.cc (right): https://codereview.chromium.org/2828323004/diff/1/src/heap/mark-compact.cc#newcode3235 src/heap/mark-compact.cc:3235: bool EvacuatePageImpl(Page* page, const MarkingState& state) override; On 2017/04/21 ...
4 months ago (2017-04-21 15:02:25 UTC) #12
Hannes Payer (out of office)
lgtm
4 months ago (2017-04-24 14:54:28 UTC) #22
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2828323004/60001
4 months ago (2017-04-24 14:58:10 UTC) #24
commit-bot: I haz the power
4 months ago (2017-04-24 15:04:29 UTC) #27
Message was sent while issue was closed.
Committed patchset #4 (id:60001) as
https://chromium.googlesource.com/v8/v8/+/2c9fc184743dac8627b78a5990522525f35...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld b40b6558b